Skip to content
LogoLogo

Staking

DelegatorDelegations

GET/cosmos/staking/v1beta1/delegations/{delegator_addr}

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Redelegations

GET/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Query Parameters

src_validator_addr
string

src_validator_addr defines the validator address to redelegate from.

dst_validator_addr
string

dst_validator_addr defines the validator address to redelegate to.

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DelegatorUnbondingDelegations

GET/cosmos/staking/v1beta1/delegators/{delegator_addr}/unbonding_delegations

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DelegatorValidators

GET/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DelegatorValidator

GET/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators/{validator_addr}

DelegatorValidator queries validator info for given delegator validator pair.

Path Parameters

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

validator_addrRequired
string

validator_addr defines the validator address to query for.

Responses

HistoricalInfo

GET/cosmos/staking/v1beta1/historical_info/{height}

HistoricalInfo queries the historical info for given height.

Path Parameters

heightRequired
string <int64>

height defines at which height to query the historical info.

Responses

Parameters

GET/cosmos/staking/v1beta1/params

Parameters queries the staking parameters.

Responses

Pool

GET/cosmos/staking/v1beta1/pool

Pool queries the pool info.

Responses

Validators

GET/cosmos/staking/v1beta1/validators

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Query Parameters

status
string

status enables to query for validators matching a given status.

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Validator

GET/cosmos/staking/v1beta1/validators/{validator_addr}

Validator queries validator info for given validator address.

Path Parameters

validator_addrRequired
string

validator_addr defines the validator address to query for.

Responses

ValidatorDelegations

GET/cosmos/staking/v1beta1/validators/{validator_addr}/delegations

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

validator_addrRequired
string

validator_addr defines the validator address to query for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Delegation

GET/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}

Delegation queries delegate info for given validator delegator pair.

Path Parameters

validator_addrRequired
string

validator_addr defines the validator address to query for.

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Responses

UnbondingDelegation

GET/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation

UnbondingDelegation queries unbonding info for given validator delegator pair.

Path Parameters

validator_addrRequired
string

validator_addr defines the validator address to query for.

delegator_addrRequired
string

delegator_addr defines the delegator address to query for.

Responses

ValidatorUnbondingDelegations

GET/cosmos/staking/v1beta1/validators/{validator_addr}/unbonding_delegations

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

validator_addrRequired
string

validator_addr defines the validator address to query for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses